Bug 214683 - systat -iostat -numeric should be systat -iostat -numbers in man page
Summary: systat -iostat -numeric should be systat -iostat -numbers in man page
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Sevan Janiyan
URL: https://reviews.freebsd.org/D8591
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-20 04:15 UTC by Anindya Mukherjee
Modified: 2017-03-30 01:49 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anindya Mukherjee 2016-11-20 04:15:21 UTC
The systat(1) manpage has an incorrect command example for iostat:

systat -iostat -numeric -- 2.1

"This will display all IO statistics in a numeric format
and the information will be refreshed each 2.1 seconds."

This command is incorrect. The correct command should be:

systat -iostat -numbers -- 2.1
Comment 1 commit-hook freebsd_committer 2016-12-05 13:24:03 UTC
A commit references this bug:

Author: sevan
Date: Mon Dec  5 13:23:22 UTC 2016
New revision: 309552
URL: https://svnweb.freebsd.org/changeset/base/309552

Log:
  Fix error in the example section
  Adjust formatting highlighted by igor.

  PR:		214683
  Submitted by:	Anindya Mukherjee <anindya49 AT hotmail DOT com>
  Reviewed by:	jilles
  Approved by:	bcr (mentor)
  MFC after:	5 days
  Differential Revision:	https://reviews.freebsd.org/D8591

Changes:
  head/usr.bin/systat/systat.1
Comment 2 Sevan Janiyan freebsd_committer 2016-12-05 13:24:43 UTC
Committed, thank you!
Comment 3 Anindya Mukherjee 2016-12-10 00:56:13 UTC
Thanks!
Comment 4 commit-hook freebsd_committer 2017-03-30 01:31:08 UTC
A commit references this bug:

Author: sevan
Date: Thu Mar 30 01:30:27 UTC 2017
New revision: 316191
URL: https://svnweb.freebsd.org/changeset/base/316191

Log:
  MFC 309552

  Adjust formatting highlighted by igor.

  PR:		214683
  Submitted by:	Anindya Mukherjee <anindya49 AT hotmail DOT com>
  Reviewed by:	jilles
  Approved by:	bcr (mentor)
  Differential Revision:	https://reviews.freebsd.org/D8591

Changes:
_U  stable/11/
  stable/11/usr.bin/systat/systat.1
Comment 5 commit-hook freebsd_committer 2017-03-30 01:49:15 UTC
A commit references this bug:

Author: sevan
Date: Thu Mar 30 01:48:37 UTC 2017
New revision: 316194
URL: https://svnweb.freebsd.org/changeset/base/316194

Log:
  MFC r309552

  Fix error in the example section
  Adjust formatting highlighted by igor.

  PR:		214683
  Submitted by:	Anindya Mukherjee <anindya49 AT hotmail DOT com>
  Reviewed by:	jilles
  Approved by:	bcr (mentor)
  Differential Revision:	https://reviews.freebsd.org/D8591

Changes:
_U  stable/10/
  stable/10/usr.bin/systat/systat.1